uuid: 657f0ed4-26a8-4014-b5bd-70b45d4c55f6
langcode: en
status: closed
dependencies:
  module:
    - stripe_webform
weight: 0
open: null
close: null
uid: 8
template: false
archive: false
id: drupal_8_9_content_migrations
title: 'Drupal 9 content migrations'
description: ''
category: Purchase
elements: |-
  course_summary:
    '#type': processed_text
    '#display_on': both
    '#text': |2
        * Lead instructor: **Mauricio Dinarte**
        * Date: **Tuesday, April 05, 2022**
        * Time: Both sessions at **10AM - 5PM Eastern**
        * Cost: Early bird price **$300 USD** thorough Monday, March 28. After that, regular price of **$350 USD** applies.
    '#format': markdown
  name:
    '#type': textfield
    '#title': Name
    '#required': true
  email:
    '#type': email
    '#title': E-mail
    '#required': true
  payment:
    '#type': stripe
    '#title': Payment
    '#format_items': ul
    '#format_items_html': ''
    '#format_items_text': ''
    '#stripe_selectors_name': ':input[name="name"]'
  optional_info_for_your_receipt:
    '#type': textarea
    '#title': 'Optional info for your receipt'
    '#placeholder': 'Your company name, purchase order, etc.  Leave blank if you don''t need it.'
    '#autocomplete': 'off'
  actions:
    '#type': webform_actions
    '#title': 'Submit button(s)'
    '#submit__label': 'Purchase ticket'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  ajax_progress_type: ''
  ajax_effect: ''
  ajax_speed: null
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  page_theme_name: ''
  form_title: source_entity_webform
  form_submit_once: false
  form_open_message: ''
  form_close_message: ''
  form_exception_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_disable_remote_addr: false
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_autofocus: false
  form_details_toggle: false
  form_reset: false
  form_access_denied: default
  form_access_denied_title: ''
  form_access_denied_message: ''
  form_access_denied_attributes: {  }
  form_file_limit: ''
  form_attributes: {  }
  form_method: ''
  form_action: ''
  share: false
  share_node: false
  share_theme_name: ''
  share_title: true
  share_page_body_attributes: {  }
  submission_label: ''
  submission_exception_message: ''
  submission_locked_message: ''
  submission_log: false
  submission_excluded_elements: {  }
  submission_exclude_empty: false
  submission_exclude_empty_checkbox: false
  submission_views: {  }
  submission_views_replace: {  }
  submission_user_columns: {  }
  submission_user_duplicate: false
  submission_access_denied: default
  submission_access_denied_title: ''
  submission_access_denied_message: ''
  submission_access_denied_attributes: {  }
  previous_submission_message: ''
  previous_submissions_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_progress_link: false
  wizard_progress_states: false
  wizard_start_label: ''
  wizard_preview_link: false
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_auto_forward: true
  wizard_auto_forward_hide_next_button: false
  wizard_keyboard: true
  wizard_track: ''
  wizard_prev_button_label: ''
  wizard_next_button_label: ''
  wizard_toggle: false
  wizard_toggle_show_label: ''
  wizard_toggle_hide_label: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  preview_exclude_empty_checkbox: false
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  draft_pending_single_message: ''
  draft_pending_multiple_message: ''
  confirmation_type: inline
  confirmation_url: ''
  confirmation_title: ''
  confirmation_message: |
    Thank you [webform_submission:values:name]!&nbsp; You&#39;re registered for:<br />
    [webform_submission:values:course_summary:html]<br />
    We&#39;ve sent an e-mail to [webform_submission:values:email].
  confirmation_attributes: {  }
  confirmation_back: false
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  confirmation_update: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_total_unique: false
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  limit_user_unique: false
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  results_customize: false
  token_view: false
  token_update: false
  token_delete: false
  serial_disabled: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
  configuration:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  stripe:
    id: stripe
    handler_id: null
    label: Stripe
    notes: ''
    status: true
    conditions: {  }
    weight: null
    settings:
      id: stripe
      handler_id: stripe
      label: Stripe
      notes: ''
      status: true
      conditions: {  }
      weight: 0
      settings:
        amount: '300'
        stripe_element: payment
        plan_id: ''
        quantity: ''
        currency: usd
        description: '[webform:title]'
        email: '[webform_submission:values:email]'
        metadata: ''
        stripe_customer_create: ''
        stripe_charge_create: ''
        stripe_subscription_create: ''
      amount: ''
      stripe_element: ''
      plan_id: ''
      quantity: ''
      currency: usd
      description: ''
      email: ''
      metadata: ''
      stripe_customer_create: ''
      stripe_charge_create: ''
      stripe_subscription_create: ''
  email:
    id: email
    handler_id: email
    label: Email
    notes: ''
    status: true
    conditions: {  }
    weight: 0
    settings:
      states:
        - completed
      to_mail: '[webform_submission:values:email:raw]'
      to_options: {  }
      bcc_mail: _default
      bcc_options: {  }
      cc_mail: ''
      cc_options: {  }
      from_mail: _default
      from_options: {  }
      from_name: _default
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
      subject: 'Training registration for [webform:title]'
      body: |
        Dear [webform_submission:values:name],<br />
        <br />
        Thank you for registering!<br />
        <br />
        [webform_submission:values:course_summary:html]<br />
        <br />
        Connection information for joining the training online will be sent prior to the event.<br />
        <br />
        Best,<br />
        <br />
        The team at Agaric
      excluded_elements:
        course_summary: course_summary
        payment: payment
        optional_info_for_your_receipt: optional_info_for_your_receipt
      ignore_access: false
      exclude_empty: true
      exclude_empty_checkbox: false
      exclude_attachments: false
      html: true
      attachments: false
      twig: false
      theme_name: ''
      parameters: {  }
      debug: false
variants: {  }
